#include "chdecl.h"
void CH_codegen_cgdirectstmt(current, sched, cop)
#define ARGUMENTS 34
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c11;
    case 4: goto cb11;
    case 6: goto cb13;
    case 7: goto c14;
    case 8: goto c21;
    case 9: goto cb22;
    case 10: goto c23;
    case 11: goto c25;
    case 12: goto cb66;
    case 13: goto c67;
    case 14: goto c72;
    case 15: goto cb75;
    case 16: goto c76;
    case 17: goto c81;
    case 18: goto cb83;
    case 19: goto c84;
    case 20: goto c98;
    case 21: goto c102;
    case 22: goto c106;
    case 23: goto cb108;
    case 24: goto c109;
    case 25: goto c123;
    case 26: goto cb126;
    case 27: goto c127;
    case 28: goto c132;
    case 29: goto cb133;
    case 30: goto c134;
    case 31: goto c136;
    case 32: goto c140;
    case 33: goto cb142;
    case 34: goto c143;
    case 35: goto cb144;
    case 36: goto c145;
    case 37: goto c150;
    case 38: goto cb151;
    case 39: goto c152;
    case 40: goto c154;
    case 41: goto c158;
    case 42: goto c171;
    case 43: goto cb173;
    case 44: goto c174;
    case 45: goto cb175;
    case 46: goto c176;
    case 47: goto c181;
    case 48: goto cb183;
    case 49: goto c184;
    case 50: goto cb185;
    case 51: goto c186;
    case 52: goto cb188;
    case 53: goto c189;
    case 54: goto cb193;
    case 55: goto c194;
    case 56: goto c199;
    case 57: goto c203;
    case 58: goto c205;
    case 59: goto c206;
    case 60: goto c216;
    case 5: goto c218;
    case 61: goto c218;
    case 62: goto c219;
    case 63: goto c221;
    case 64: goto c224;
    case 65: goto c227;
    case 66: goto c229;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* connect 3.0 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(3)DOT(0).value.outport = REF(4).value.inport;
  REF(3)DOT(0).tsdr = & dr_outport;
/* new_inport 5 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_inport;
/* connect 3.1 5 */
  if (REF(5).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(5).value.inport->refcount++;
  REF(3)DOT(1).value.outport = REF(5).value.inport;
  REF(3)DOT(1).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* unite 6 7 , 0 */
  if ((ch_returncode = che_unite(DEF(6),DEF(7),sched,0)) != Normal)
     goto ch_raise_exception;
c9:
/* noop */
  
c11:
  current->ip = 4;
cb11:
/* select 4 * 5 * , 2 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(4),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(5),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 4) return; else COMPUTE_TARGET;
c13:
  current->ip = 6;
cb13:
/* receive 8 4 */
  if ((ch_returncode = che_receive(DEF(8),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* new_record 9 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* find 10 8.2.2.0 8.0.1 , 0 */
  if (findfunc(DEF(10),DEF(8)DOT(2)DOT(2)DOT(0),(
          arguments[0] = DEF(8)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 10.1 , 0 */
  if (0 != REF(10)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 9.0 10.1.0 */
  if((ch_returncode = (REF(10)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(10)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(9)DOT(0).tsdr)->finalize)(REF(9)DOT(0).value,F_DISCARD,sched);
  REF(9)DOT(0).value = ch_val;
  REF(9)DOT(0).tsdr = datarepmap[REF(10)DOT(1)DOT(0).tsdr->number];
/* new_table 9.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(9)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 11 8.0.2 */
  if((ch_returncode = cp_table(& ch_val, REF(8)DOT(0)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = & dr_table;
/* initget 12 11 , 0,0 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(12),DEF(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c21:
/* get_or_goto 12 11 , 25 */
  if ((ch_returncode = get_selected_object(DEF(12),DEF(11),sched)) != Normal)
     goto c25;
  current->ip = 9;
cb22:
/* call 8.2.4.4 12 13 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* insert 9.1 13 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 21 */
   goto c21;
c25:
/* endget 12 11 */
  end_selector(DEF(12),DEF(11),sched,GET);
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* equal . 8.0.1 =(73) , 63 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 73 ) goto c63;
/* equal . 8.0.1 =(75) , 72 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 75 ) goto c72;
/* equal . 8.0.1 =(72) , 81 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 72 ) goto c81;
/* equal . 8.0.1 =(68) , 98 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 68 ) goto c98;
/* equal . 8.0.1 =(64) , 102 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 64 ) goto c102;
/* equal . 8.0.1 =(60) , 106 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 60 ) goto c106;
/* equal . 8.0.1 =(59) , 123 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 59 ) goto c123;
/* equal . 8.0.1 =(54) , 132 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 54 ) goto c132;
/* equal . 8.0.1 =(53) , 136 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 53 ) goto c136;
/* equal . 8.0.1 =(52) , 140 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 52 ) goto c140;
/* equal . 8.0.1 =(36) , 150 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 36 ) goto c150;
/* equal . 8.0.1 =(22) , 154 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 22 ) goto c154;
/* equal . 8.0.1 =(15) , 158 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 15 ) goto c158;
/* equal . 8.0.1 =(12) , 171 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 12 ) goto c171;
/* equal . 8.0.1 =(5) , 181 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 5 ) goto c181;
/* equal . 8.0.1 =(3) , 199 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 3 ) goto c199;
/* equal . 8.0.1 =(2) , 203 */
  if ( REF(8)DOT(0)DOT(1).value.ord_enum == 2 ) goto c203;
/* branch , 205 */
   goto c205;
c63:
/* new_record 14 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val; REF(14).tsdr = & dr_record;
/* lookup_at 15 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(15).value,0);
  REF(15).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 12;
cb66:
/* call 8.2.4.6 15 16 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(15),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c67:
/* move 14.0 16 */
  (*(REF(14)DOT(0).tsdr)->finalize)(REF(14)DOT(0).value,F_DISCARD,sched);
  REF(14)DOT(0) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* new_table 14.1 , 6 */
  if ((ch_returncode = che_new_table(DEF(14)DOT(1),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* unite 9.2 14 , 6 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(14),sched,6)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c72:
/* new_record 17 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_record;
/* lookup_at 18 8.0.2 =(1) */
  if (1 >= (ch_t = REF(8)DOT(0)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(18).value,1);
  REF(18).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 15;
cb75:
/* call 8.2.4.6 18 19 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(18),
          arguments[2] = DEF(19),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* move 17.0 19 */
  (*(REF(17)DOT(0).tsdr)->finalize)(REF(17)DOT(0).value,F_DISCARD,sched);
  REF(17)DOT(0) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* new_table 17.1 , 6 */
  if ((ch_returncode = che_new_table(DEF(17)DOT(1),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* unite 9.2 17 , 6 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(17),sched,6)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c81:
/* noop */
  
/* lookup_at 20 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(20).value,0);
  REF(20).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 18;
cb83:
/* call 8.2.3.14 20 8.2 21 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(14),
          arguments[1] = DEF(20),
          arguments[2] = DEF(8)DOT(2),
          arguments[3] = DEF(21),
          arguments[3+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c84:
/* unite 9.2 21 , 2 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(21),sched,2)) != Normal)
     goto ch_raise_exception;
/* privatize 9.1 */
  if (REF(9)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9)DOT(1))) != Normal)
       goto ch_raise_exception;
/* lookup_at 22 9.1 =(0) */
  if ( !((ch_t = REF(9)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(22).value,0);
  REF(22).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 23 9.1 =(0) */
  if ((ch_returncode = remove_at_func(DEF(23),DEF(9)DOT(1),0)) != Normal)
     goto ch_raise_exception;
/* privatize 23 */
  if (REF(23).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(23))) != Normal)
       goto ch_raise_exception;
/* size 24 23 */
  REF(24).value.integer = REF(23).value.table->size;
  REF(24).tsdr = & dr_integer;
/* isubtract 25 24 =(1) */
  if (!chf_isubtract(DEF(25),REF(24).value.integer,1)) goto ch_depletion;
/* lookup_at 26 23 25 */
  if((ch_i = REF(25).value.integer) < 0 || ch_i >= (ch_t = REF(23).value
    .table)->size) goto ch_notfound;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(26).value,ch_i);
  REF(26).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 27 23 25 */
  if ((ch_returncode = remove_at_func(DEF(27),DEF(23),REF(25).value.integer
    )) != Normal) goto ch_raise_exception;
/* insert_at 9.1 23 =(0) */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(23),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c98:
/* reveal 8.0.3 , 15 */
  if (15 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 28 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 28 , 14 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(28),sched,14)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c102:
/* reveal 8.0.3 , 10 */
  if (10 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 29 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 29 , 4 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(29),sched,4)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c106:
/* noop */
  
/* lookup_at 30 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(30).value,0);
  REF(30).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 23;
cb108:
/* call 8.2.3.14 30 8.2 31 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(14),
          arguments[1] = DEF(30),
          arguments[2] = DEF(8)DOT(2),
          arguments[3] = DEF(31),
          arguments[3+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c109:
/* unite 9.2 31 , 2 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(31),sched,2)) != Normal)
     goto ch_raise_exception;
/* privatize 9.1 */
  if (REF(9)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9)DOT(1))) != Normal)
       goto ch_raise_exception;
/* lookup_at 32 9.1 =(0) */
  if ( !((ch_t = REF(9)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(32).value,0);
  REF(32).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 33 9.1 =(0) */
  if ((ch_returncode = remove_at_func(DEF(33),DEF(9)DOT(1),0)) != Normal)
     goto ch_raise_exception;
/* privatize 33 */
  if (REF(33).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(33))) != Normal)
       goto ch_raise_exception;
/* size 34 33 */
  REF(34).value.integer = REF(33).value.table->size;
  REF(34).tsdr = & dr_integer;
/* isubtract 35 34 =(1) */
  if (!chf_isubtract(DEF(35),REF(34).value.integer,1)) goto ch_depletion;
/* lookup_at 36 33 35 */
  if((ch_i = REF(35).value.integer) < 0 || ch_i >= (ch_t = REF(33).value
    .table)->size) goto ch_notfound;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(36).value,ch_i);
  REF(36).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 37 33 35 */
  if ((ch_returncode = remove_at_func(DEF(37),DEF(33),REF(35).value.integer
    )) != Normal) goto ch_raise_exception;
/* insert_at 9.1 33 =(0) */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(33),TRUE, 0)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c123:
/* new_record 38 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val; REF(38).tsdr = & dr_record;
/* lookup_at 39 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(39).value,0);
  REF(39).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 26;
cb126:
/* call 8.2.4.6 39 40 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(39),
          arguments[2] = DEF(40),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c127:
/* move 38.0 40 */
  (*(REF(38)DOT(0).tsdr)->finalize)(REF(38)DOT(0).value,F_DISCARD,sched);
  REF(38)DOT(0) = REF(40);
  REF(40).tsdr = & dr_bottom;
/* reveal 8.0.3 , 12 */
  if (12 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 38.1 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(38)DOT(1).tsdr)->finalize)(REF(38)DOT(1).value,F_DISCARD,sched);
  REF(38)DOT(1).value = ch_val;
  REF(38)DOT(1).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 38 , 8 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(38),sched,8)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c132:
/* reveal 8.0.3 , 10 */
  if (10 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
  current->ip = 29;
cb133:
/* call 8.2.3.13 8.0.3.0 41 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(13),
          arguments[1] = DEF(8)DOT(0)DOT(3)DOT(0),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c134:
/* unite 9.2 41 , 3 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(41),sched,3)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c136:
/* reveal 8.0.3 , 11 */
  if (11 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 42 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 42 , 13 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(42),sched,13)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c140:
/* noop */
  
/* lookup_at 43 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(43).value,0);
  REF(43).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 33;
cb142:
/* call 8.2.4.6 43 44 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(43),
          arguments[2] = DEF(44),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c143:
/* move 45 44 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45) = REF(44);
  REF(44).tsdr = & dr_bottom;
  current->ip = 35;
cb144:
/* call 8.2.3.16 45 46 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(45),
          arguments[2] = DEF(46),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c145:
/* noop */
  
/* reveal 46.2 , 9 */
  if (9 != REF(46)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 47 46.2.0 */
  if((ch_returncode = (REF(46)DOT(2)DOT(0).tsdr->copy)(& ch_val, 
    REF(46)DOT(2)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).value = ch_val;
  REF(47).tsdr = datarepmap[REF(46)DOT(2)DOT(0).tsdr->number];
/* unite 9.2 47 , 14 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(47),sched,14)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c150:
/* reveal 8.0.3 , 10 */
  if (10 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
  current->ip = 38;
cb151:
/* call 8.2.3.12 8.0.3.0 48 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(12),
          arguments[1] = DEF(8)DOT(0)DOT(3)DOT(0),
          arguments[2] = DEF(48),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c152:
/* unite 9.2 48 , 2 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(48),sched,2)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c154:
/* reveal 8.0.3 , 4 */
  if (4 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 49 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).value = ch_val;
  REF(49).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 49 , 10 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(49),sched,10)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c158:
/* privatize 9.1 */
  if (REF(9)DOT(1).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9)DOT(1))) != Normal)
       goto ch_raise_exception;
/* lookup_at 50 9.1 =(1) */
  if (1 >= (ch_t = REF(9)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(50).value,1);
  REF(50).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 51 9.1 =(1) */
  if ((ch_returncode = remove_at_func(DEF(51),DEF(9)DOT(1),1)) != Normal)
     goto ch_raise_exception;
/* privatize 51 */
  if (REF(51).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(51))) != Normal)
       goto ch_raise_exception;
/* size 52 51 */
  REF(52).value.integer = REF(51).value.table->size;
  REF(52).tsdr = & dr_integer;
/* isubtract 53 52 =(1) */
  if (!chf_isubtract(DEF(53),REF(52).value.integer,1)) goto ch_depletion;
/* lookup_at 54 51 53 */
  if((ch_i = REF(53).value.integer) < 0 || ch_i >= (ch_t = REF(51).value
    .table)->size) goto ch_notfound;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(54).value,ch_i);
  REF(54).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 55 51 53 */
  if ((ch_returncode = remove_at_func(DEF(55),DEF(51),REF(53).value.integer
    )) != Normal) goto ch_raise_exception;
/* insert 9.1 51 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(51),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 9.2 6 */
  if((ch_returncode = cp_variant(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(9)DOT(2).tsdr)->finalize)(REF(9)DOT(2).value,F_DISCARD,sched);
  REF(9)DOT(2).value = ch_val;
  REF(9)DOT(2).tsdr = & dr_variant;
/* branch , 206 */
   goto c206;
c171:
/* noop */
  
/* lookup_at 56 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(56).value,0);
  REF(56).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 43;
cb173:
/* call 8.2.4.6 56 57 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(56),
          arguments[2] = DEF(57),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c174:
/* move 58 57 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58) = REF(57);
  REF(57).tsdr = & dr_bottom;
  current->ip = 45;
cb175:
/* call 8.2.3.16 58 59 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(58),
          arguments[2] = DEF(59),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c176:
/* noop */
  
/* reveal 59.2 , 9 */
  if (9 != REF(59)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 60 59.2.0 */
  if((ch_returncode = (REF(59)DOT(2)DOT(0).tsdr->copy)(& ch_val, 
    REF(59)DOT(2)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(59)DOT(2)DOT(0).tsdr->number];
/* unite 9.2 60 , 14 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(60),sched,14)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c181:
/* noop */
  
/* lookup_at 61 8.0.2 =(0) */
  if ( !((ch_t = REF(8)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(61).value,0);
  REF(61).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 48;
cb183:
/* call 8.2.4.6 61 62 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(61),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c184:
/* move 63 62 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63) = REF(62);
  REF(62).tsdr = & dr_bottom;
  current->ip = 50;
cb185:
/* call 8.2.3.16 63 64 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(63),
          arguments[2] = DEF(64),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c186:
/* move 65 64 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65) = REF(64);
  REF(64).tsdr = & dr_bottom;
/* reveal 65.2 , 9 */
  if (9 != REF(65)DOT(2).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 52;
cb188:
/* call 8.2.3.16 65.2.0 66 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(65)DOT(2)DOT(0),
          arguments[2] = DEF(66),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c189:
/* move 65 66 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65) = REF(66);
  REF(66).tsdr = & dr_bottom;
/* reveal 65.2 , 8 */
  if (8 != REF(65)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* new_record 67 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val; REF(67).tsdr = & dr_record;
/* copy 67.0 65.2.0.0 */
  if((ch_returncode = (REF(65)DOT(2)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(65)DOT(2)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(67)DOT(0).tsdr)->finalize)(REF(67)DOT(0).value,F_DISCARD,sched);
  REF(67)DOT(0).value = ch_val;
  REF(67)DOT(0).tsdr = datarepmap[REF(65)DOT(2)DOT(0)DOT(0).tsdr->number];
  current->ip = 54;
cb193:
/* call 8.2.3.16 65.2.0.0 68 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(65)DOT(2)DOT(0)DOT(0),
          arguments[2] = DEF(68),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c194:
/* move 65 68 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65) = REF(68);
  REF(68).tsdr = & dr_bottom;
/* reveal 65.2 , 10 */
  if (10 != REF(65)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 67.1 65.2.0.2 */
  if((ch_returncode = (REF(65)DOT(2)DOT(0)DOT(2).tsdr->copy)(& ch_val, 
    REF(65)DOT(2)DOT(0)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(67)DOT(1).tsdr)->finalize)(REF(67)DOT(1).value,F_DISCARD,sched);
  REF(67)DOT(1).value = ch_val;
  REF(67)DOT(1).tsdr = datarepmap[REF(65)DOT(2)DOT(0)DOT(2).tsdr->number];
/* unite 9.2 67 , 8 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(67),sched,8)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c199:
/* reveal 8.0.3 , 1 */
  if (1 != REF(8)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 69 8.0.3.0 */
  if((ch_returncode = (REF(8)DOT(0)DOT(3)DOT(0).tsdr->copy)(& ch_val, 
    REF(8)DOT(0)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).value = ch_val;
  REF(69).tsdr = datarepmap[REF(8)DOT(0)DOT(3)DOT(0).tsdr->number];
/* unite 9.2 69 , 15 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(69),sched,15)) != Normal)
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c203:
/* copy 9.2 6 */
  if((ch_returncode = cp_variant(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(9)DOT(2).tsdr)->finalize)(REF(9)DOT(2).value,F_DISCARD,sched);
  REF(9)DOT(2).value = ch_val;
  REF(9)DOT(2).tsdr = & dr_variant;
/* branch , 206 */
   goto c206;
c205:
/* copy 9.2 6 */
  if((ch_returncode = cp_variant(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(9)DOT(2).tsdr)->finalize)(REF(9)DOT(2).value,F_DISCARD,sched);
  REF(9)DOT(2).value = ch_val;
  REF(9)DOT(2).tsdr = & dr_variant;
c206:
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* insert 8.2.4.3.1 9 */
  if ((ch_returncode = insertfunc(DEF(8)DOT(2)DOT(4)DOT(3)DOT(1),DEF(9)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 219 */
   goto c219;
c216:
/* exit , 11 */
  ch_e = handler_type__exit; ch_val = QUAL(11); goto ch_exception;
c12:
c218:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c219:
/* return 8 */
  if (ch_caller = do_return(REF(8).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(8).value);
  REF(8).tsdr = & dr_bottom;
/* branch , 9 */
   goto c9;
c221:
/* endblock */
  che_endblock(sched);
/* branch , 227 */
   goto c227;
c224:
/* chs_lit 70 , "CantHappen exit taken in cgdirectstmt" */
  if( !chs_lit(DEF(70),"CantHappen exit taken in cgdirectstmt") )
     goto ch_depletion;
/* print 70 */
  re_print(stderr, 0, DEF(70)); fflush(stderr);
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
c227:
/* endblock */
  che_endblock(sched);
c229:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
